
Redmine - Defect #8892

Unused fonts in rfpdf plugin folder

2011-07-24 10:48 - Jean-Philippe Lang

Status: Closed Start date: 2011-07-24

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.2.2   

Resolution:  Affected version:  

Description

There are many fonts in source:/trunk/vendor/plugins/rfpdf/lib/fonts@6030 that doesn't seem to be used (eg. DejaVuSerif,

DejaVuCondensed, DejaVuMono, FreeMono, vera, times...). Could we remove them?

Related issues:

Related to Redmine - Defect #8566: Exported PDF UTF-8 Vietnamese not correct Closed 2011-06-08

Associated revisions

Revision 6401 - 2011-08-03 10:16 - Toshi MARUYAMA

PDF: remove unused DejaVuSans-ExtraLight font (#8892, #8566).

Revision 6402 - 2011-08-03 10:48 - Toshi MARUYAMA

PDF: remove unused DejaVu fonts except DejaVuSans-BoldOblique (#8892, #8566).

FreeSans has freesansbi.rb. But there is no dejavusansbi.rb.

Revision 6426 - 2011-08-12 05:36 - Toshi MARUYAMA

PDF: remove unused FreeMono fonts (#8892).

Revision 6427 - 2011-08-12 05:37 - Toshi MARUYAMA

PDF: remove unused vera fonts (#8892).

Revision 6430 - 2011-08-12 07:47 - Toshi MARUYAMA

PDF: remove unused vera*.rb (#8892).

Revision 6431 - 2011-08-12 08:19 - Toshi MARUYAMA

PDF: remove unused times*.rb (#8892).

Revision 6432 - 2011-08-12 08:19 - Toshi MARUYAMA

PDF: remove unused courier.rb (#8892).

Revision 6433 - 2011-08-12 08:20 - Toshi MARUYAMA

PDF: remove unused symbol.rb (#8892).

Revision 6434 - 2011-08-12 08:20 - Toshi MARUYAMA

PDF: remove unused zapfdingbats.rb (#8892).

Revision 6435 - 2011-08-12 09:15 - Toshi MARUYAMA

PDF: remove unused sjis.rb (#8892).

Revision 6441 - 2011-08-12 09:44 - Toshi MARUYAMA

PDF: remove unused vendor/plugins/rfpdf/lib/barcode/* (#8892).

History

#1 - 2011-07-24 14:06 - Jun NAITOH
https://www.redmine.org/projects/redmine/repository/svn/revisions/6030/entry/trunk/vendor/plugins/rfpdf/lib/fonts


Jean-Philippe Lang wrote:

There are many fonts in source:/trunk/vendor/plugins/rfpdf/lib/fonts@6030 that doesn't seem to be used (eg. DejaVuSerif, DejaVuCondensed,

DejaVuMono, FreeMono, vera, times...). Could we remove them?

 Yes, I think to we can remove these unused fonts.

#2 - 2011-08-12 15:01 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.2

Removed unused fonts except DejaVuSans-BoldOblique in trunk r6441 and 1.2-stable r6443.

#3 - 2011-08-19 00:12 - Jérémy Lal

What's the status of helvetica*.rb ? Is it used, if yes, where are the font files so that

we can generate from them using ttf2ufm ?

#4 - 2011-08-19 01:24 - Toshi MARUYAMA

helvetica*.rb is used at source:trunk/lib/redmine/export/pdf.rb@6460#L74.

Redmine 1.2 supports switching embedded or non-embedded font by "general_pdf_encoding" at source:trunk/config/locales/en.yml@6460#L140.
